aboutsummaryrefslogtreecommitdiff
path: root/build.bash
diff options
context:
space:
mode:
Diffstat (limited to 'build.bash')
-rwxr-xr-xbuild.bash4
1 files changed, 3 insertions, 1 deletions
diff --git a/build.bash b/build.bash
index 5e95c3e..e78188e 100755
--- a/build.bash
+++ b/build.bash
@@ -1,4 +1,4 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
#
# Compile gocryptfs and bake the git version string of itself and the go-fuse
# library into the binary.
@@ -10,6 +10,8 @@
# SOURCE_DATE_EPOCH=1544192417 ./build.bash
# .
+set -eu
+
cd "$(dirname "$0")"
# $0 does not work because we may have been sourced